Commit Graph

20 Commits

Author SHA1 Message Date
Pau Espin 8ee1ca7084 Bump version: 1.4.0.28-3460 → 1.5.0
Change-Id: I7d4569f53b3dbbee8d5f0034448ade5f18cb6bbb
2023-09-12 12:24:04 +02:00
Oliver Smith a3dc45e8d4 build: replace inkscape with rsvg-convert
Do not require having the graphical application inkscape and all its
dependencies installed, just to convert svgs to pdfs. This is still the
default in dblatex, even though converting on the command-line with
inkscape is deprecated. Use the lightweight rsvg-convert instead.

Merge at the same time as the docker-playground patch.

Depends: docker-playground I012c61eb777e6dc267dd4a52500da98c01ac1438
Change-Id: I0d132f8f6fd73fbe14b5bfa10a8659acaddf38f7
2023-08-17 13:03:49 +02:00
Oliver Smith c88a70d262 debian: set compat level to 10
Related: OS#5958
Change-Id: I4b2988fffba12cc84ff0834bb9ef0f3d9de2bcda
2023-04-25 16:48:22 +02:00
Pau Espin 1e1967891e Bump version: 1.3.0.14-b22d → 1.4.0
Change-Id: I02531474b2ab2b026d9401d6ab820c0eb118cbd1
2023-02-07 11:43:11 +01:00
Pau Espin dda6a7e446 Bump version: 1.2.0.12-6984 → 1.3.0
Change-Id: I9487c26c6f1898481c25f227bc462b6867a05b70
2022-06-28 17:27:15 +02:00
Pau Espin 738c0840e0 Bump version: 1.1.0.18-cec5 → 1.2.0
Change-Id: Id9167fa8aa474bb6feb349a2dcecb015b2a1d3b4
2021-11-16 13:18:04 +01:00
Oliver Smith 581ef10981 d/patches/build-for-debian8.patch: remove
Remove this workaround, as we are not building for debian 8 anymore.

Related: OS#5223
Depends: osmo-ci Ibe7ba124557969df62798ba49c4489e9606c2341
Change-Id: I8285b8c483fe2d136b83946414587fc993d5f489
2021-09-01 16:50:17 +02:00
Pau Espin 940eee143b Bump version: 1.0.0.17-b83a-dirty → 1.1.0
Change-Id: I19eb9c7df3f374a6ccd23638f389e1682549a12d
2021-02-23 12:59:20 +01:00
Harald Welte 8433f027da Bump version: 0.3.0.6-f29a → 1.0.0
Change-Id: Idcf75e78cac8aed49aefa871f1fc34f2c44f87e9
2021-01-06 17:21:50 +01:00
Pau Espin f3a980c894 Bump version: 0.2.0.18-258b → 0.3.0
Change-Id: I555f20da93d4cad0998d5067b5999a4a253061a7
2020-01-03 13:00:12 +01:00
Oliver Smith acc127c022 debian/check-depends.sh: add inkscape to depends
Related: OS#4314
Change-Id: I83864af60ccb1ae4170c2cec90ce3f388cc305ae
2019-12-09 08:38:35 +01:00
Oliver Smith 0999d41794 Drop python2 and pychart dependencies
Python 2 is EOL at the end of 2019, so don't depend on it anymore.
Remove pychart support, because upstream is dead and there is no python3
version. We were only using it for one graph, and that has been
replaced in osmo-bsc I36b721f895caee9766528e14d854b6aa2a2fac85.

Depends: osmo-bsc I36b721f895caee9766528e14d854b6aa2a2fac85
Related: OS#2819
Change-Id: I57522e57e39682d6d123af4584785d327361e5a3
2019-12-05 16:40:13 +01:00
Pau Espin de57f626df Fix python-nwdiag dependency on new debian distros
As seen by https://packages.debian.org, python-nwdiag is only available
in buster and older stables, while python3-nwdiag is available in both
old and new releases as well as testing and unstable.

Related: OS#4246
Depends: osmo-ci I0ebee6ac11df779ab954bd6648a0bebefc3350a2
Change-Id: Ia2c0c833329f8ecab1c427e0d2c002f17ab49a94
2019-11-22 11:24:16 +01:00
Pau Espin 2333c9f0d1 Bump version: 0.1.1.9-5275 → 0.2.0
Change-Id: I0d1981a1b049bf5a5272210e8553698a6e1571da
2019-08-08 12:07:24 +02:00
Oliver Smith 001c5787fe Bump version: 0.1.0.8-09689 → 0.1.1
Change-Id: If5a1b56158f867f7f93a98e1a473a853c8c61439
2019-05-29 10:13:45 +02:00
Oliver Smith f1d55d9574 debian: more explicit dependencies for debian 8
Add dh-autoreconf to build dependencies, and libxml2-utils (provides
xmllint) to dependencies. Both need to be explicitly installed on
debian 8.

Related: OS#3899
Change-Id: If929fca73e3a88567e144eb296e7fadd32904dd5
2019-05-21 14:31:14 +02:00
Oliver Smith 068153c39e debian: fix empty debian package
Replace '--with autotools_dev' with '--with autoreconf' in
debian/rules, so a ./configure file gets generated from configure.ac,
and the debian package scripts don't generate an empty package.

I did not notice this earlier, because when building the package locally
with dpkg-buildpackage, it was not empty. (That is probably, because my
local dir already had the configure script generated.)

Related: OS#3899
Change-Id: I483136cd28395ae8fc2c112cf659ee83255afe87
2019-05-21 11:56:59 +02:00
Oliver Smith 1d16a26c7e debian: add patch for debian 8
Add a patch file that removes the asciidoc-dblatex dependency in
debian/control, so the package builds for debian 8. In debian 8, the
files are all in the asciidoc package, which does get installed.

The jenkins scripts will copy the source package, apply the patch, and
upload it separately to OBS [1]. A similar debian 8 patch exists for
osmo-trx.

I have also tried to do it without a patch, by changing the OBS
configuration. It is possible to bypass the dependency check from OBS
and get the build started, but there's an additional check by
dpkg-checkbuilddepends and this one does not pass. So we really need
the patch method.

[1]: Change-Id I3570599ede51b974d350064f44f77e360fafd8b0 (osmo-ci)

Related: OS#3899
Change-Id: I5b9575ceb1141961e570643a5755a2bd6b6a4254
2019-05-08 11:52:26 +00:00
Oliver Smith a7b4d1b48f Bump version: 0.0.0 → 0.1.0
Change-Id: Ied515c46f7de5fb0224ac5b3d16ee2709d614202
2019-04-15 09:40:43 +02:00
Oliver Smith 754b29e023 Add debian packaging for osmo-gsm-manuals-dev
Allow including pdf manuals in each Osmocom repositories -doc debian
package, by depending on osmo-gsm-manuals-dev.

Related: OS#3899
Example usage: I4c184c62804c0b805a0a2425a5bd0312e94e49ab (osmo-bts.git)
Change-Id: I7edb5093e5b58eb3b0f7af2376476db4026db735
2019-04-12 14:32:25 +02:00